tinymce.PluginManager.add(name, editor => {
    const defaultSelectionToolbar = this.menu.map(item => item.type).join(" ")
    editor.options.register('quickbars_selection_toolbar', {
        processor: value => ({ value: value.trim(), valid: true }),
        default: defaultSelectionToolbar
    })

    editor.ui.registry.addContextToolbar('textselection', {
        predicate: node => !editor.selection.isCollapsed(),
        items: editor.options.get("quickbars_selection_toolbar"),
        position: 'selection',
        scope: 'node'
    })
    this.menu.forEach((item, index) => {
        editor.ui.registry.addButton(item.type, { text: item.text, icon: item.icon, onAction: () => item.onAction(editor, item, index) })
    })
})